curl --request POST \
--url https://sandbox.tight.com/v6/payments/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "DISPLAY_NAME",
"direction": "ASC"
},
"filter": {
"search": "<string>",
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [
"ACTIVE"
],
"notIn": [
"ACTIVE"
],
"equal": "ACTIVE",
"notEqual": "ACTIVE",
"greaterThan": "ACTIVE",
"greaterThanEqual": "ACTIVE",
"lessThan": "ACTIVE",
"lessThanEqual": "ACTIVE"
},
"bankAccount": {
"id": {
"in": [
"<string>"
],
"notIn": [
"<string>"
]
}
},
"bankTransaction": {
"expand": true,
"id": {
"equal": "<string>"
}
}
}
}
'{
"result": "SUCCESS",
"data": [
{
"id": "ptxn_158998869",
"type": "EXPENSE",
"date": "2025-06-26",
"amount": 273479,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "PLAID",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"bankTransaction": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiName": "BOX",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
}
},
"children": [
{
"id": "itm_349412",
"type": "EXPENSE",
"amount": -134051,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"apiItemId": "<string>",
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"bill": {
"id": "<string>",
"name": "<string>",
"lineItems": [
{
"id": "bli_123456",
"amount": 5001
}
]
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}Query payments for the authenticated user
curl --request POST \
--url https://sandbox.tight.com/v6/payments/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "DISPLAY_NAME",
"direction": "ASC"
},
"filter": {
"search": "<string>",
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [
"ACTIVE"
],
"notIn": [
"ACTIVE"
],
"equal": "ACTIVE",
"notEqual": "ACTIVE",
"greaterThan": "ACTIVE",
"greaterThanEqual": "ACTIVE",
"lessThan": "ACTIVE",
"lessThanEqual": "ACTIVE"
},
"bankAccount": {
"id": {
"in": [
"<string>"
],
"notIn": [
"<string>"
]
}
},
"bankTransaction": {
"expand": true,
"id": {
"equal": "<string>"
}
}
}
}
'{
"result": "SUCCESS",
"data": [
{
"id": "ptxn_158998869",
"type": "EXPENSE",
"date": "2025-06-26",
"amount": 273479,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "PLAID",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"bankTransaction": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiName": "BOX",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
}
},
"children": [
{
"id": "itm_349412",
"type": "EXPENSE",
"amount": -134051,
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"apiItemId": "<string>",
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"bill": {
"id": "<string>",
"name": "<string>",
"lineItems": [
{
"id": "bli_123456",
"amount": 5001
}
]
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tight.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Success
The result of the action performed.
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes